ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
custom_state_startup_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| run_config_processors (&$ContextSet, $Config, &$Settings, &$Options)

## Data Fields
| $Cache = false
| $DefaultControllers = false
| $DefaultViews = false
| $Security = false
| $Utilities = false

## Detailed Description

Class runs states.

Author
  Dodonov A.A.

Definition at line 26 of file custom_state_startup.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 58 of file custom_state_startup.php.

{
try
{
$this->Cache = get_package( 'cache' , 'last' , __FILE__ );
$this->DefaultControllers = get_package( 'gui::context_set::default_controllers' , 'last' , __FILE__ );
$this->DefaultViews = get_package( 'gui::context_set::default_views' , 'last' , __FILE__ );
$this->Security = get_package( 'security' , 'last' , __FILE__ );
$this->Utilities = get_package( 'utilities' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

run_config_processors | ( | & | $ContextSet,
|  |  | $Config,
|  | & | $Settings,
|  | & | $Options
| ) |  |

Method starts controller/view.

Parameters

  $ContextSet | - Contexts.
  $Config | - Config.
  $Settings | - Execution parameters.
  $Options | - Execution parameters.

Returns
  true/false

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 341 of file custom_state_startup.php.

{
try
{
switch( $Settings->get_setting( 'success_func' , false ) )
{
case( 'multy_call' ):
$Res = $this->run_multy_call( $ContextSet , $Config , $Settings , $Options );
break;
case( 'simple_form' ):
$Res = $this->run_simple_form( $ContextSet , $Config , $Settings , $Options );
break;
case( 'list_view' ):
$Res = $this->run_list_view( $ContextSet , $Config , $Settings );
break;
default:
$Res = $this->run_custom_config( $ContextSet , $Config , $Settings );
break;
}
return( $Res );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$Cache = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file custom_state_startup.php.

$DefaultControllers = false

Definition at line 39 of file custom_state_startup.php.

$DefaultViews = false

Definition at line 40 of file custom_state_startup.php.

$Security = false

Definition at line 41 of file custom_state_startup.php.

$Utilities = false

Definition at line 42 of file custom_state_startup.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/context_set/packages/custom_state_startup/custom_state_startup.php